@import "./../../common/reset.css";

:root {
  /*색상 - 사용자 정의 속성*/
  --yellow: #fff100;
  --blue: #006bff;
  --skyblue: #08c2ff;
  --aqua: #bcf2f6;
  --orange: #fd8b51;
  --orangered: #ff6500;

  --primary: var(--yellow);
  --secondary: var(--blue);

  /*여백 - 사용자 정의 속성*/
  --spacing-xs: 8px;
  --spacing-sm: 12px;
  --spacing-base: 16px;
  --spacing-lg: 20px;
  --spacing-xl: 24px;

  --gap: var(--spacing-base);

  /*글자크기 - 사용자 정의 속성*/
  --text-xs: 0.75rem;
  --text-sm: 0.875rem;
  --text-base: 1rem;
  --text-lg: 1.125rem;
  --text-xl: 1.25rem;

  --default-font-size: var(--text-sm);
}

body {
  background-color: var(--primary);
  color: var(--secondary);
  font-size: var(--default-font-size);
}
h1 {
  padding: var(--gap);
}
p {
  margin: var(--gap);
}

/*지역변수*/
.local-variable {
  --text-color: var(--custom-color, #7e60bf);
  /* --blue: #1e3e62; */
  color: var(--text-color);
}
